Package net.shibboleth.idp.plugin.authn.webauthn.exception

# Class RegistrationFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.shibboleth.idp.plugin.authn.webauthn.exception.WebAuthnAuthenticationClientException
net.shibboleth.idp.plugin.authn.webauthn.exception.RegistrationFailureException

All Implemented Interfaces:
  `Serializable`

public class RegistrationFailureException extends WebAuthnAuthenticationClientException
Exception that is throw if a public key credential registration (attestation) is not valid.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Generated serial UID.

## Constructor Summary

Constructors
Constructor
Description
`RegistrationFailureException()`
Constructor.
`RegistrationFailureException(String message)`
Constructor.
`RegistrationFailureException(String message, Throwable cause)`
Constructor.
`RegistrationFailureException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Generated serial UID.

See Also:
  - Constant Field Values

## Constructor Details

### RegistrationFailureException

public RegistrationFailureException()
Constructor.

### RegistrationFailureException

public RegistrationFailureException(String message, Throwable cause)
Constructor.

Parameters:
  `message` - exception message
  `cause` - exception to be wrapped by this one

### RegistrationFailureException

public RegistrationFailureException(String message)
Constructor.

Parameters:
  `message` - exception message

### RegistrationFailureException

public RegistrationFailureException(Throwable cause)
Constructor.

Parameters:
  `cause` - exception to be wrapped by this one